import os
import sys

import textureSwitchManager
import vrayLightManager

import maya.cmds as mel
import maya.mel as evalMel
import maya.utils as utils

def create_lookDev_shelf():
    evalMel.eval('if (`shelfLayout -exists LookDevShelf `) deleteUI LookDevShelf;')
    shelfTab = evalMel.eval('global string $gShelfTopLevel;')
    evalMel.eval('global string $scriptsShelf;')
    evalMel.eval('$scriptsShelf = `shelfLayout -p $gShelfTopLevel LookDevShelf`;')
    evalMel.eval('shelfButton -parent $scriptsShelf -annotation "TextureSwitchManager" -label "TSM" -image "commandButton.png" -sourceType "python" -command ("textureSwitchManager.tripleSwitch()") -width 48 -height 48 -style "textOnly";')
    evalMel.eval('shelfButton -parent $scriptsShelf -annotation "VrayLightManager" -label "VLM" -image "commandButton.png" -sourceType "python" -command ("vrayLightManager.vrayHelperUI()") -width 48 -height 48 -style "textOnly";')
 
utils.executeDeferred( create_lookDev_shelf )